org.apache.uima.aae.client

## Interface UimaASProcessStatus

- All Superinterfaces:
    EntityProcessStatus, Serializable

      public interface UimaASProcessStatus
      extends EntityProcessStatus

  Contains information about the processing of a CAS by a UIMA-AS Analysis Engine.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CAS` | `getCAS()` Gets the returned CAS
    `String` | `getCasReferenceId()` Gets the unique ID of the returned CAS
    `String` | `getParentCasReferenceId()` If the Analysis Engine has returned a new CAS this will get the unique ID of the input CAS that caused its creation.
    `List<AnalysisEnginePerformanceMetrics>` | `getPerformanceMetricsList()` Gets a list of performance metrics containing, for each component in the Analysis Engine, the performance breakdown reported by the AE
    `String` | `getServiceTargetId()`

    - ### Methods inherited from interface org.apache.uima.collection.EntityProcessStatus

      `getExceptions, getFailedComponentNames, getProcessTrace, getStatusMessage, isEntitySkipped, isException`

- - ### Method Detail

    - #### getCasReferenceId

          String getCasReferenceId()

      Gets the unique ID of the returned CAS
      Returns:
        the CAS ID

    - #### getParentCasReferenceId

          String getParentCasReferenceId()

      If the Analysis Engine has returned a new CAS this will get the unique ID of the input CAS that caused its creation. Will be null if the returned CAS is not new.
      Returns:
        the parent CAS ID or null if an input CAS has been returned

    - #### getCAS

          CAS getCAS()

      Gets the returned CAS
      Returns:
        the CAS

    - #### getPerformanceMetricsList

          List<AnalysisEnginePerformanceMetrics> getPerformanceMetricsList()

      Gets a list of performance metrics containing, for each component in the Analysis Engine, the performance breakdown reported by the AE
      Returns:
        a list of `AnalysisEnginePerformanceMetrics`

    - #### getServiceTargetId

          String getServiceTargetId()

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.